from django.conf.urls import include, url
from django.conf.urls.static import static
from settings import MEDIA_ROOT, MEDIA_URL
from blog.feeds import LatestBlogEntries, LatestBlogEntriesRss
from django.contrib import admin

handler404 = 'generic.views.render_404'

feeds_dict = {
    'blog': LatestBlogEntries,
    }

rssfeeds_dict = {
    'blog': LatestBlogEntriesRss,
    }

admin.autodiscover()

urlpatterns = [
    # Example:
    # (r'^sommitrealweird/', include('sommitrealweird.foo.urls')),

    # Uncomment this for admin:
    url(r'^$', 'bpcms.views.document_view', {'slug': 'index'}),
    url(r'^media/(?P<path>.*)$', 'django.views.static.serve', {'document_root': MEDIA_ROOT, 'show_indexes': True}),
    url(r'^admin/', include(admin.site.urls)),
    url(r'^blog/', include('blog.urls')),
    url(r'^photo/', include('photo.urls')),
    #url(r'^photos/', include('photo.urls')),
    url(r'^css-doc/(?P<slug>.*)$', 'bpcms.views.css_view'),
    url(r'^feeds/rss/blog/', LatestBlogEntriesRss()),
    url(r'^feeds/blog/', LatestBlogEntries()),
    url(r'^comments/', include('django.contrib.comments.urls')),
    url(r'^', include('bpcms.urls'))
] + static(MEDIA_URL, MEDIA_ROOT)
